DSXFR_READ_SPLIT(3)

EXPERIMENTAL_FUNC
dsxfr_read_split - Read a multi_array data structure.

SYNOPSIS
#include <karma_dsxfr.h>

multi_array * dsxfr_read_split

(char *filename, flag ascii, flag guess)

DESCRIPTION
Read a multi_array data structure.

filename
    The filename with some extension. This will be modified.

ascii
    If TRUE the data file is assumed to be ASCII, else binary.

guess
    If TRUE the function attempts to guess whether the data file is ASCII or binary (and ignores the value of <<ascii>>).

RETURN VALUE
A pointer to the data structure on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/